package org.ow2.util.deployment.annotations.analyzer.configurator;

import org.ow2.util.deployment.metadata.structures.JField;
import org.ow2.util.deployment.metadata.structures.JMethod;

/**
 * ClassConfigurator.
 * @author Gael Lalire
 */
public interface ClassConfigurator extends CommonConfigurator {

    /**
     * @param jMethod method signature
     * @return a method configurator
     */
    MethodConfigurator createMethodConfigurator(final JMethod jMethod);

    /**
     * @param jField field signature
     * @return a field configurator
     */
    FieldConfigurator createFieldConfigurator(final JField jField);

}
