package org.ow2.util.deployment.annotations.analyzer.configurator;

import org.ow2.util.deployment.metadata.structures.JClass;

/**
 * ArchiveConfigurator is used by ArchiveScanner to parse the archive.
 * @author Gael Lalire
 */
public interface ArchiveConfigurator {

    /**
     * @param jClass class signature
     * @return a class configurator
     */
    ClassConfigurator createClassConfigurator(JClass jClass);

}
