package org.ow2.util.deployment.annotations.analyzer.configurator;

import org.ow2.easybeans.asm.AnnotationVisitor;
import org.ow2.util.deployment.metadata.structures.JAnnotation;

/**
 * CommonConfigurator.
 * @author Gael Lalire
 */
public interface CommonConfigurator {

    /**
     * a method invoked when an annotation is found.
     * @param jAnnotation annotation signature
     * @return a visitor
     */
    AnnotationVisitor getAnnotationVisitor(final JAnnotation jAnnotation);

    /**
     * this method is invoke when all annotation found.
     */
    void configurationComplete();

}
